package com.bonus.canteen.core.order.deprecated.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("超市设备下单DTO")
public class SupermarketOrdDTO {
   @ApiModelProperty("二维码信息")
   private String authCode;
   @ApiModelProperty("卡序列号（物理卡号）")
   private String serialNum;
   @ApiModelProperty("核身方式")
   private Integer nuClearMode;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("下单人员姓名")
   private String placeOrdName;
   @ApiModelProperty("下单人手机号")
   private String placeOrdMobile;
   @ApiModelProperty("设备订单id")
   private String macOrdId;
   @JSONField(
      format = "yyyy-MM-dd HH:mm:ss"
   )
   @ApiModelProperty("下单时间")
   private LocalDateTime macDate;
   @ApiModelProperty("设备编号")
   private String mchNum;
   @ApiModelProperty("设备名称")
   private String mchName;
   @ApiModelProperty("出库日期")
   private LocalDate ordGoodsDate;
   @ApiModelProperty("超市id")
   private Long canteenId;
   @ApiModelProperty("超市名称")
   private String canteenName;
   @ApiModelProperty("支付类型")
   private Integer payType;
   @ApiModelProperty("订单总金额 分")
   private Integer amount;
   @ApiModelProperty("会员总金额 单位分")
   private Integer memberAmount;
   @ApiModelProperty("设备sn码")
   private String machineSn;
   @ApiModelProperty("来源类型 如钉钉、小程序等")
   private Integer sourceType;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("订单类型 1 食堂  2 商城")
   private Integer ordType;
   @ApiModelProperty("配送方式 1:自取堂食, 2:商家配送")
   private Integer deliveryType;
   @ApiModelProperty("配送费 单位为分")
   private Integer deliveryFee;
   @ApiModelProperty("配送地址")
   private String deliveryAddr;
   @ApiModelProperty("送达时间")
   @JSONField(
      format = "yyyy-MM-dd HH:mm:ss"
   )
   private LocalDateTime deliveryTime;
   @ApiModelProperty("订单详情")
   private List<GoodsDetailDTO> ordDetailList;

   public String getAuthCode() {
      return this.authCode;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getPlaceOrdName() {
      return this.placeOrdName;
   }

   public String getPlaceOrdMobile() {
      return this.placeOrdMobile;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public LocalDateTime getMacDate() {
      return this.macDate;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public String getMchName() {
      return this.mchName;
   }

   public LocalDate getOrdGoodsDate() {
      return this.ordGoodsDate;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getAmount() {
      return this.amount;
   }

   public Integer getMemberAmount() {
      return this.memberAmount;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getOrdType() {
      return this.ordType;
   }

   public Integer getDeliveryType() {
      return this.deliveryType;
   }

   public Integer getDeliveryFee() {
      return this.deliveryFee;
   }

   public String getDeliveryAddr() {
      return this.deliveryAddr;
   }

   public LocalDateTime getDeliveryTime() {
      return this.deliveryTime;
   }

   public List<GoodsDetailDTO> getOrdDetailList() {
      return this.ordDetailList;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setPlaceOrdName(final String placeOrdName) {
      this.placeOrdName = placeOrdName;
   }

   public void setPlaceOrdMobile(final String placeOrdMobile) {
      this.placeOrdMobile = placeOrdMobile;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setMacDate(final LocalDateTime macDate) {
      this.macDate = macDate;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setMchName(final String mchName) {
      this.mchName = mchName;
   }

   public void setOrdGoodsDate(final LocalDate ordGoodsDate) {
      this.ordGoodsDate = ordGoodsDate;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setAmount(final Integer amount) {
      this.amount = amount;
   }

   public void setMemberAmount(final Integer memberAmount) {
      this.memberAmount = memberAmount;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setOrdType(final Integer ordType) {
      this.ordType = ordType;
   }

   public void setDeliveryType(final Integer deliveryType) {
      this.deliveryType = deliveryType;
   }

   public void setDeliveryFee(final Integer deliveryFee) {
      this.deliveryFee = deliveryFee;
   }

   public void setDeliveryAddr(final String deliveryAddr) {
      this.deliveryAddr = deliveryAddr;
   }

   public void setDeliveryTime(final LocalDateTime deliveryTime) {
      this.deliveryTime = deliveryTime;
   }

   public void setOrdDetailList(final List<GoodsDetailDTO> ordDetailList) {
      this.ordDetailList = ordDetailList;
   }

}
